#ifndef TRAIN_H
#define TRAIN_H

#include "item.h"
#include "../microcontroller.h"

class Train : public Item
{
    Q_OBJECT
    uint8_t functionMask_;
    uint8_t train_id_;
public:
    static Microcontroller *micro;

	Train(uint8_t id = 0, uint8_t address = 0, uint8_t functionMask = 0, int8_t initalValue = 0);

    uint8_t getFunctionMask() {return functionMask_;}

public slots:
    void reverse();
	virtual void setFunction(uint8_t function, bool on);
	virtual void setValue(int8_t value);
    uint8_t getTrainId(){return train_id_;}
};

#endif // TRAIN_H
